window.apiServer="https://tcm512.com/";

window.urls={
	login_url:"app/user/login.do",
	login_wx_url:"app/user/wechat/login.do",
	login_auto_url:"app/user/auto/login.do",
	library_albumlist_url:"p_albumhotlist.do",
	library_album_bnum_url:"p_albumhotBnum.do",
	library_hotlist_url:"p_libraryhotlist.do",
	library_newlist_url:"p_librarynewlist.do",
	library_addbnum_url:"p_addlibrarybnum.do",
	library_collectionlist_url:"p_collectionlist.do",
	library_clearbrowse_url:"p_clearbrowse.do",
	librarysearch_list_url:"p_librarysearchlist.do",
	libraryArticleInfo_getInfo_url:"p_getlibraryInfo.do",
	getyulanurl_url:"getyulanurl.do",
	downloadlibrary_url:"p_downloadlibrary.do",
	getfromuserdata_url:"p_getfromuserdata.do",
	getusermenu1_url:"getusermenu1.do",
	loadonemenu1_url:"p_loadonemenu1.do",
	gettwomenu_url:"p_gettwomenu.do",
	addusermenu_url:"addusermenu.do",
	zhuancun_url:"p_zhuancun.do",
	getFileLength_url:"getFileLength.do",
	cancelcollectionlibrary_url:"p_cancelcollectionlibrary.do",
	collectionlibrary_url:"p_collectionlibrary.do",
	getAlbumInfo_url:"p_getAlbumInfo.do",
	albumlibrarys_url:"p_albumlibrarys.do",
	commoncall_url:"p_commoncall.do",
	device_save_url:"app/user/device/save.do",
	//退出登录
	logout_url:"app/user/logout.do",
	//订单列表
	orderList_url:"app/order/orderList.do",
	//取消订单
	cancleOrder_url:"app/order/cancleOrder.do",
	//待支付订单数量
	waitPayCount_url:"app/order/waitPayCount.do",
	//题库列表
	questionBankList_url:"app/question/questionBankList.do",
	//判断是否是会员
	isMember_url:"app/member/isMember.do",
	//护理头条
	headNewsList_url:"app/find/news/headNewsList.do",
	//菜单列表
	menuList_url:"app/find/menu/menuList.do",
	//推荐新闻列表
	hotNewsList_url:"app/find/news/hotNewsList.do",
	//关注新闻列表
	followedNewsList_url:"app/find/news/followedNewsList.do",
	//新闻列表
	newsList_url:"app/find/news/newsList.do",
	//关注发布者
	follow_url:"app/find/news/follow.do",
	//关注发布者
	unfollow_url:"app/find/news/unfollow.do",
	//取消赞
	cancleZan_url:"p_delnewszan.do",
	//点赞
	zan_url:"p_newszan.do",
	//取消收藏新闻
	cancleCollect_url:"app/find/news/cancleCollect.do",
	//收藏新闻
	collect_url:"app/find/news/collect.do",
	//获取用户信息
	getUserInfo_url:"p_getuserinfoindex.do",
	//查询未读消息数量
	unreadCount_url:"app/message/unreadCount.do",
	//查询会员信息
	memberInfo_url:"app/member/memberInfo.do",

  //群组
	group_page_list:"app/group/list.do",
	groupInfo_url:"app/group/msg/group/info.do",
	chat_url:"ws://tcm512.com/app/chat/",
	chat_list:"app/group/msg/list.do",
	preview_url:"getyulanurl.do",
	group_extend_url:"app/group/msg/extend.do",
	//播放相关
	pmp_play_url:"app/course/play/pmp.do",
	pmp_save_current_time_url:"ch_savelearnhistory.do",
	pmp_save_ratio_url:"updatewach.do",
	//支付
	order_url:"app/group/pay/order.do",
	payment_url:"app/group/pay/payment.do",
	query_by_no_url:"app/group/pay/querybyno.do",
	//OSS
	sts_url:"getSecurityToken.do",
	
	//课程搜索
	course_search_url:"cg_findPmp.do",
	course_loose_url:"app/course/loose.do"
}

window.utils={
	//请求
	ajax:function(parameters){
		mui.ajax(apiServer+parameters.url,{
			data:parameters.param,
			dataType:'jsonp',//服务器返回json格式数据
			jsonp: "jsoncallback",
			type:parameters.type,//HTTP请求类型
			crossDomain:true,
			timeout:100000,//超时时间设置为10秒；
			success:function(data){
				parameters.success(data);
			},
			error:function(xhr,type,errorThrown){
				console.log(parameters.url);
				console.log(JSON.stringify(xhr));
				console.log(type+"::"+errorThrown);
				plus.nativeUI.toast("服务器异常，请重试！");
			}
		});
	},
	
	//storage操作
	setUser:function(user){
		plus.storage.setItem("uid",user.u_id+"");
		plus.storage.setItem("uname",user.u_name);
		plus.storage.setItem("user",JSON.stringify(user));
	},
	getUserId:function(){
		return plus.storage.getItem("uid");
	},
	getUserName:function(){
		return plus.storage.getItem("uname");
	},
	getUser:function(){
		return JSON.parse(plus.storage.getItem("user"));
	},
	
	//消息提示
	toast:function(msg){
		plus.nativeUI.toast(msg)
	},
	toastAutoClose:function(msg,timeout){ //toast富文本，自动关闭
		plus.nativeUI.toast(msg,{
			type:'richtext',
			duration:'long',
			richTextStyle:{align:'center'}
		});
		setTimeout(function(){
			plus.nativeUI.closeToast();
		}, timeout);
	},
	closeCoast:function(){
		plus.nativeUI.closeToast(); //关闭toast
	},
	
	alert:function(msg){
		plus.nativeUI.alert(msg);	//alert
	},
	alertWithTitleBtn:function(msg,title,btn){
		plus.nativeUI.alert(msg,title,btn); //alert 消息，标题，按钮（string）
	},
	alertRich:function(msg,title,btn,func){
		plus.nativeUI.alert(msg,func,title,btn); //alert 消息，标题，按钮（string），回调函数
	},
	
	confirm:function(msg,func){
		plus.nativeUI.confirm(msg,func); //confirm 消息，回调函数
	},
	
	waiting:function(msg){
		plus.nativeUI.showWaiting(msg); // loading 效果
	},
	waitingClose:function(){
		plus.nativeUI.closeWaiting(); //关闭loading效果
	},
	behavior:function(type){
		mui.ajax(apiServer+"/p_save_behavior.do",{
		    type:"post",
		    dataType:"json",
			timeout:10000,
		    data:{
		        type:type
		    },
		    success:function () {

		    }
		})
	}
}

//拦截请求
window.overrideUrlLoading=function(view,func,mat){
	view.addEventListener("loaded",function(){
		view.overrideUrlLoading({mode:"reject",match:mat},func);
	});
}

window.redirectlogin=function(){
	utils.toast("登录授权失败，需要您重新登录。");
	//plus.storage.clear();
	utils.ajax({
		url:apiServer+"app/user/logout.do",
		type:"post",
		param:{},
		success:function(){
			
		}
	})
}


window.getRequest=function(url) {
				var param= new Object(); 
				if (url.indexOf("?") != -1) {
						var str = url.substr(1);
						strs = str.split("&");
						for (var i = 0; i < strs.length; i++) {
								param[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
						}
				}
				return param;
			}
